## org.eclipse.datatools.modelbase.sql.query.impl
Class QuerySelectImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl
                              org.eclipse.datatools.modelbase.sql.query.impl.QuerySelectImpl

All Implemented Interfaces:
  QueryExpressionBody, QuerySelect, SQLObject, SQLQueryObject, TableExpression, TableReference

public class QuerySelectImpl
extends QueryExpressionBodyImpl
implements QuerySelect

An implementation of the model object 'Select'.

The following features are implemented:

- `Distinct`
- `Having Clause`
- `Where Clause`
- `Group By Clause`
- `Select Clause`
- `From Clause`
- `Into Clause`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetHavingClause(QuerySearchCondition newHavingClause, NotificationChain msgs)`
`NotificationChain` `basicSetWhereClause(QuerySearchCondition newWhereClause, NotificationChain msgs)`
`NotificationChain` `basicUnsetHavingClause(NotificationChain msgs)`
`NotificationChain` `basicUnsetWhereClause(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getFromClause()`
`EList` `getGroupByClause()`
`QuerySearchCondition` `getHavingClause()`
`EList` `getIntoClause()`
`EList` `getSelectClause()`
`QuerySearchCondition` `getWhereClause()`
`boolean` `isDistinct()`
`boolean` `isSetHavingClause()`
`boolean` `isSetWhereClause()`
`void` `setDistinct(boolean newDistinct)`
`void` `setHavingClause(QuerySearchCondition newHavingClause)`
`void` `setWhereClause(QuerySearchCondition newWhereClause)`
`java.lang.String` `toString()`
`void` `unsetHavingClause()`
`void` `unsetWhereClause()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetPredicateExists, basicSetQueryExpression, basicSetUpdateSourceQuery, basicSetWithTableSpecification, eBasicRemoveFromContainerFeature, getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getPrivileges, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isDistinct

    public boolean isDistinct()

  Specified by:
    `isDistinct` in interface `QuerySelect`
  Returns:
    the value of the 'Distinct' attribute.
  See Also:
    `QuerySelect.setDistinct(boolean)`, `SQLQueryModelPackage.getQuerySelect_Distinct()`

### setDistinct

    public void setDistinct(boolean newDistinct)

  Specified by:
    `setDistinct` in interface `QuerySelect`
  Parameters:
    `newDistinct` - the new value of the 'Distinct' attribute.
  See Also:
    `QuerySelect.isDistinct()`

### getHavingClause

    public QuerySearchCondition getHavingClause()

  Specified by:
    `getHavingClause` in interface `QuerySelect`
  Returns:
    the value of the 'Having Clause' containment reference.
  See Also:
    `QuerySelect.isSetHavingClause()`, `QuerySelect.unsetHavingClause()`, `QuerySelect.setHavingClause(QuerySearchCondition)`, `SQLQueryModelPackage.getQuerySelect_HavingClause()`, `QuerySearchCondition.getQuerySelectHaving()`

### basicSetHavingClause

    public NotificationChain basicSetHavingClause(QuerySearchCondition newHavingClause,
                                                  NotificationChain msgs)

### setHavingClause

    public void setHavingClause(QuerySearchCondition newHavingClause)

  Specified by:
    `setHavingClause` in interface `QuerySelect`
  Parameters:
    `newHavingClause` - the new value of the 'Having Clause' containment reference.
  See Also:
    `QuerySelect.isSetHavingClause()`, `QuerySelect.unsetHavingClause()`, `QuerySelect.getHavingClause()`

### basicUnsetHavingClause

    public NotificationChain basicUnsetHavingClause(NotificationChain msgs)

### unsetHavingClause

    public void unsetHavingClause()

  Specified by:
    `unsetHavingClause` in interface `QuerySelect`
  See Also:
    `QuerySelect.isSetHavingClause()`, `QuerySelect.getHavingClause()`, `QuerySelect.setHavingClause(QuerySearchCondition)`

### isSetHavingClause

    public boolean isSetHavingClause()

  Specified by:
    `isSetHavingClause` in interface `QuerySelect`
  Returns:
    whether the value of the 'Having Clause' containment reference is set.
  See Also:
    `QuerySelect.unsetHavingClause()`, `QuerySelect.getHavingClause()`, `QuerySelect.setHavingClause(QuerySearchCondition)`

### getWhereClause

    public QuerySearchCondition getWhereClause()

  Specified by:
    `getWhereClause` in interface `QuerySelect`
  Returns:
    the value of the 'Where Clause' containment reference.
  See Also:
    `QuerySelect.isSetWhereClause()`, `QuerySelect.unsetWhereClause()`, `QuerySelect.setWhereClause(QuerySearchCondition)`, `SQLQueryModelPackage.getQuerySelect_WhereClause()`, `QuerySearchCondition.getQuerySelectWhere()`

### basicSetWhereClause

    public NotificationChain basicSetWhereClause(QuerySearchCondition newWhereClause,
                                                 NotificationChain msgs)

### setWhereClause

    public void setWhereClause(QuerySearchCondition newWhereClause)

  Specified by:
    `setWhereClause` in interface `QuerySelect`
  Parameters:
    `newWhereClause` - the new value of the 'Where Clause' containment reference.
  See Also:
    `QuerySelect.isSetWhereClause()`, `QuerySelect.unsetWhereClause()`, `QuerySelect.getWhereClause()`

### basicUnsetWhereClause

    public NotificationChain basicUnsetWhereClause(NotificationChain msgs)

### unsetWhereClause

    public void unsetWhereClause()

  Specified by:
    `unsetWhereClause` in interface `QuerySelect`
  See Also:
    `QuerySelect.isSetWhereClause()`, `QuerySelect.getWhereClause()`, `QuerySelect.setWhereClause(QuerySearchCondition)`

### isSetWhereClause

    public boolean isSetWhereClause()

  Specified by:
    `isSetWhereClause` in interface `QuerySelect`
  Returns:
    whether the value of the 'Where Clause' containment reference is set.
  See Also:
    `QuerySelect.unsetWhereClause()`, `QuerySelect.getWhereClause()`, `QuerySelect.setWhereClause(QuerySearchCondition)`

### getGroupByClause

    public EList getGroupByClause()

  Specified by:
    `getGroupByClause` in interface `QuerySelect`
  Returns:
    the value of the 'Group By Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_GroupByClause()`, `GroupingSpecification.getQuerySelect()`

### getSelectClause

    public EList getSelectClause()

  Specified by:
    `getSelectClause` in interface `QuerySelect`
  Returns:
    the value of the 'Select Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_SelectClause()`, `QueryResultSpecification.getQuerySelect()`

### getFromClause

    public EList getFromClause()

  Specified by:
    `getFromClause` in interface `QuerySelect`
  Returns:
    the value of the 'From Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_FromClause()`, `TableReference.getQuerySelect()`

### getIntoClause

    public EList getIntoClause()

  Specified by:
    `getIntoClause` in interface `QuerySelect`
  Returns:
    the value of the 'Into Clause' containment reference list.
  See Also:
    `SQLQueryModelPackage.getQuerySelect_IntoClause()`, `ValueExpressionVariable.getQuerySelect()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QueryExpressionBodyImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QueryExpressionBodyImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QueryExpressionBodyImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QueryExpressionBodyImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QueryExpressionBodyImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QueryExpressionBodyImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.